%define         tartopdir      k3bmonkeyaudioplugin

Name:           k3b-ape
Version:        1.0
Release:        0.fdr.4.2
Epoch:          0
Summary:        Monkey's audio decoder/encoder plugin for K3b
Group:          Applications/Multimedia
License:        GPL
URL:            http://www.k3b.org
Source:         http://dl.sf.net/k3b/k3bmonkeyaudioplugin.tar.bz2
Buildroot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot-%(%{__id_u} -n)

Requires:       k3b >= 0:0.11

BuildRequires:  k3b-devel >= 0:0.11
BuildRequires:  kdelibs-devel >= 6:3.1, arts-devel
BuildRequires:  zlib-devel, libjpeg-devel
BuildRequires:  XFree86-devel


%description
This package adds support for decoding/encoding Monkey's Audio files
to K3b.


%prep
%setup -q -n %{tartopdir}


%build
[ -z "$QTDIR" ] && . %{_sysconfdir}/profile.d/qt.sh
./configure --prefix=$(kde-config --prefix) --libdir=%{_libdir}
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,755)
%{_libdir}/kde3/libk3bmonkey*
%{_datadir}/apps/k3b/plugins/k3bmonkey*.plugin


%changelog
* Wed Apr 14 2004 Mihai Maties <mihai@xcyb.org> - 0:1.0-0.fdr.4
- Removed the Packager tag as Ville Skyttä suggested
- Indeed "Thu" != "Tuesday" :) - corrected - (thanx Michael Schwendt) 

* Tue Apr 13 2004 Mihai Maties <mihai@xcyb.org> - 0:1.0-0.fdr.3
- Added missing BuildRequires

* Tue Apr 13 2004 Mihai Maties <mihai@xcyb.org> - 0:1.0-0.fdr.2
- Cleaned up [Build]Requires
- Make k3b 0:0.11 as minimum requirement instead of 0:0.11.7
- Fixed minor slip in changelog


* Wed Apr  7 2004 Mihai Maties <mihai@xcyb.org> - 0:1.0-0.fdr.1
- Initial release
